package com.rjconsultores.ventaboletos.service;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.ContratoCorporativo;
import com.rjconsultores.ventaboletos.entidad.DescontoContrato;
import com.rjconsultores.ventaboletos.exception.BusinessException;

public interface ContratoService{

	  public List<ContratoCorporativo> obtenerTodos();

	    public ContratoCorporativo obtenerID(Long id);

	    public ContratoCorporativo suscribirActualizar(ContratoCorporativo entidad) throws BusinessException;

	    public void borrar(ContratoCorporativo entidad);

		public List<ContratoCorporativo> buscaLike(String numContrato);

		public boolean existe(ContratoCorporativo contrato);

		public void gravarDescontosContrato(List<DescontoContrato> lsDesconto);
}
